Bug 241263 - [NEW PORT] games/dreamchess: OpenGL chess game
Summary: [NEW PORT] games/dreamchess: OpenGL chess game
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://www.dreamchess.org
Keywords:
Depends on:
Blocks:
 
Reported: 2019-10-15 13:25 UTC by Lorenzo Salvadore
Modified: 2019-11-03 07:50 UTC (History)
1 user (show)

See Also:


Attachments
dreamchess - new port (4.09 KB, patch)
2019-10-15 13:25 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
dreamchess - new port - correction 1 (4.05 KB, patch)
2019-11-02 21:04 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff
dreamchess - new port - correction 2 (4.02 KB, patch)
2019-11-02 22:38 UTC, Lorenzo Salvadore
phascolarctos: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2019-10-15 13:25:35 UTC
Created attachment 208326 [details]
dreamchess - new port

DreamChess is an open source chess game.

It features 3D OpenGL graphics and provides various chess board sets, ranging
from classic wooden to flat figurine. Other features include music, sound
effects, on-screen move lists using SAN notation, undo functionality, and
savegames in PGN format. It comes with its own engine called Dreamer.

DreamChess can be controlled with the mouse and/or the keyboard.

----------------------

Tested successfully on 12.1-STABLE r353430 amd64 and with poudriere on {11.3,12.0}-RELEASE {i386,amd64}.
Comment 1 Tobias C. Berner freebsd_committer 2019-11-02 15:54:53 UTC
===> Checking for items in STAGEDIR missing from pkg-plist
Error: Orphaned: %%PORTDOCS%%%%DOCSDIR%%
===> Checking for items in pkg-plist which are not in STAGEDIR
Error: Missing: %%DOCSDIR%%/AUTHORS.txt
===> Error: Plist issues found.
*** Error code 1
Comment 2 Lorenzo Salvadore 2019-11-02 16:28:26 UTC
(In reply to Tobias C. Berner from comment #1)

I will test again and fix it as soon as possible.
Thanks for feedback.
Comment 3 Lorenzo Salvadore 2019-11-02 21:04:25 UTC
Created attachment 208806 [details]
dreamchess - new port - correction 1

Now it should be fixed.

Tested successfully with poudriere on {11.3,12.0}-RELEASE {i386,amd64}.
Comment 4 Tobias C. Berner freebsd_committer 2019-11-02 21:12:29 UTC
INSTALLS_ICONS=	yes  is not needed, this is not a gtk+ application, right?

mfg Tobias
Comment 5 Lorenzo Salvadore 2019-11-02 21:31:08 UTC
(In reply to Tobias C. Berner from comment #4)

I think you are right, but portlint asks me to put it due to the following files:
- share/icons/hicolor/256x256/apps/dreamchess.png
- share/icons/hicolor/48x48/apps/dreamchess.png

Should I just ignore portlint's warning?
Comment 6 Lorenzo Salvadore 2019-11-02 21:34:57 UTC
(In reply to Tobias C. Berner from comment #4)

PS: if INSTALL_ICONS is not needed, we can also remove the USES= gnome. If I recall correctly, I put it only to use INSTALL_ICONS.
Comment 7 Tobias C. Berner freebsd_committer 2019-11-02 21:43:35 UTC
(In reply to Lorenzo Salvadore from comment #5)
yes, portlint just guesses :) -- you can ignore it.
Comment 8 Lorenzo Salvadore 2019-11-02 22:38:09 UTC
Created attachment 208807 [details]
dreamchess - new port - correction 2

- INSTALL_ICONS removed.
- USES= gnome removed.

Tested successfully with poudriere on {11.3,12.0}-RELEASE {i386,amd64}
Comment 9 commit-hook freebsd_committer 2019-11-03 07:49:40 UTC
A commit references this bug:

Author: tcberner
Date: Sun Nov  3 07:49:17 UTC 2019
New revision: 516392
URL: https://svnweb.freebsd.org/changeset/ports/516392

Log:
  New port: games/dreamchess: OpenGL chess game

  DreamChess is an open source chess game.

  It features 3D OpenGL graphics and provides various chess board sets, ranging
  from classic wooden to flat figurine. Other features include music, sound
  effects, on-screen move lists using SAN notation, undo functionality, and
  savegames in PGN format. It comes with its own engine called Dreamer.

  DreamChess can be controlled with the mouse and/or the keyboard.

  WWW: https://www.dreamchess.org

  PR:		241263
  Submitted by:	Lorenzo Salvadore <phascolarctos@protonmail.ch>

Changes:
  head/games/Makefile
  head/games/dreamchess/
  head/games/dreamchess/Makefile
  head/games/dreamchess/distinfo
  head/games/dreamchess/pkg-descr
Comment 10 Tobias C. Berner freebsd_committer 2019-11-03 07:50:00 UTC
Committed. Thanks.